;;; -*- Syntax: Common-Lisp; Base: 10; Mode: LISP -*-

;;; CM-ETF: music notation output from Common Music to Finale format
;;; Copyright (C) 2006 Niklas Kambeitz (niklas.kambeitz@mail.mcgill.ca)
;;;
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(in-package :cm)

(let ((files '("packages"
               "text-io"
               "file-io"
               "rhythm-analysis"
               "combinations"
               "spelling"
               "etf-data"
               "om-bits" ; in OM package
               "simpleTree"   ; in OM package
               "conversion")))
  (dolist (filename files)
    (compile-file (merge-pathnames filename *load-pathname*)))
  (dolist (filename files)
    (load (merge-pathnames filename *load-pathname*))))

(pushnew :cm-etf *features*)

; (spell '(b bf))
; (score->etf '((0 1 (60 63)) (1 4 (61 65)) (5 3 (62 66))))
; (score->etf '((0 3 (60 63)) (3 4 (61 65)) (7 1 (62 66))))
; (open-finale)
